unit calc;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmMain = class(TForm)
    EditA: TEdit;
    EditB: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    btnInA: TButton;
    btniInB: TButton;
    EditAnswer: TEdit;
    btnANegative: TButton;
    btnBNegativ: TButton;
    btnC: TButton;
    btnPlus: TButton;
    btnMinus: TButton;
    btnMulti: TButton;
    btnDiv: TButton;
    btnPower: TButton;
    btnChange: TButton;
    btnSin: TButton;
    btnPi: TButton;
    procedure btnCClick(Sender: TObject);
    procedure btnPlusClick(Sender: TObject);
    procedure btnMinusClick(Sender: TObject);
    procedure btnInAClick(Sender: TObject);
    procedure btniInBClick(Sender: TObject);
    procedure btnANegativeClick(Sender: TObject);
    procedure btnBNegativClick(Sender: TObject);
    procedure btnMultiClick(Sender: TObject);
    procedure btnDivClick(Sender: TObject);
    procedure btnChangeClick(Sender: TObject);
    procedure btnPowerClick(Sender: TObject);
    procedure btnSinClick(Sender: TObject);
    procedure btnPiClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;



implementation

{$R *.dfm}

  var a,b,c:real;
      h:string;
procedure Translate;
  var code:integer;
begin
  h:=frmMAin.EditA.Text;
  val(h,a,code);
  h:=frmMAin.EditB.Text;
  val(h,b,code);
  h:=frmMAin.EditAnswer.Text;
  val(h,c,code);
end;

procedure TfrmMain.btnCClick(Sender: TObject);
begin
  EditA.Text:='';
  EditB.Text:='';
  EditAnswer.Text:='';
  a:=0;b:=0;c:=0;
end;

procedure TfrmMain.btnPlusClick(Sender: TObject);
begin
  translate;
  c:=a+b;
  str(c:7:7,h);
  EditAnswer.Text:=h
end;

procedure TfrmMain.btnMinusClick(Sender: TObject);
begin
  translate;
  c:=a-b;
  str(c:7:7,h);
  EditAnswer.Text:=h
end;

procedure TfrmMain.btnInAClick(Sender: TObject);
begin
  translate;
  str(c:7:7,h);
  EditA.Text:=h;
end;

procedure TfrmMain.btniInBClick(Sender: TObject);
begin
  translate;
  str(c:7:7,h);
  EditB.Text:=h;
end;

procedure TfrmMain.btnANegativeClick(Sender: TObject);
begin
  translate;
  a:=-a;
  str(a:7:7,h);
  EditA.Text:=h
end;

procedure TfrmMain.btnBNegativClick(Sender: TObject);
begin
  translate;
  b:=-b;
  str(b:7:7,h);
  EditB.Text:=h
end;

procedure TfrmMain.btnMultiClick(Sender: TObject);
begin
  translate;
  c:=a*b;
  str(c:7:7,h);
  EditAnswer.Text:=h
end;

procedure TfrmMain.btnDivClick(Sender: TObject);
begin
  translate;
  if b<>0
    then
      begin
        c:=a/b;
        str(c:7:7,h)
      end
    else
      h:='Error';
  EditAnswer.Text:=h
end;

procedure TfrmMain.btnChangeClick(Sender: TObject);
begin
  translate;
  c:=a; a:=b; b:=c;
  str(a:7:7,h);
  EditA.Text:=h;
  str(b:7:7,h);
  EditB.Text:=h;
end;

procedure TfrmMain.btnPowerClick(Sender: TObject);
begin
  translate;
  if a>0
    then
      begin
        c:=exp(b*ln(a));
        str(c:7:7,h)
      end
    else h:='Error';
  EditAnswer.Text:=h    
end;

procedure TfrmMain.btnSinClick(Sender: TObject);
begin
  translate;
  c:=sin(a);
  str(c:7:7,h);
  EditAnswer.Text:=h
end;

procedure TfrmMain.btnPiClick(Sender: TObject);
begin
  a:=pi;
  str(a:7:7,h);
  EditA.Text:=h
end;

end.
